package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFED4 extends MwfRequest<MWFED4, MWFED4Response> {

    @Parameter(name = "BIRTH_NUMBER")
    MWFED4 birthNumber(String birthNumber);
    @Parameter(name = "CERTIFICATION_TYPE")
    MWFED4 certificationType(String certificationType);
    @Parameter(name = "CLIENT_PARTY_TYPE")
    MWFED4 clientPartyType(String clientPartyType);
    @Parameter(name = "DATA_IN")
    MWFED4 dataIn(java.util.List<MWFED4DataIn> dataIn);
    @Parameter(name = "ICO")
    MWFED4 ico(String ico);
    @Parameter(name = "LANG_VERSION")
    MWFED4 langVersion(String langVersion);
    @Parameter(name = "MASK_TYPE")
    MWFED4 maskType(String maskType);
}
